add_executable(mdd_lib_test
	test_Ansys.cpp
	test_Connector
	test_Input.cpp
        test_ModuleHTTP.cpp
        test_ModuleMath.cpp
        test_ModuleSQL.cpp
        test_ModuleSwitch.cpp
	test_OptimizerEvolutionary.cpp
	test_Output.cpp
        test_ProcessorStandard.cpp
        )
target_link_libraries(mdd_lib_test gtest gtest_main ${PROJECT_NAME})

if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
	target_compile_options(mdd_lib_test PRIVATE /bigobj)
endif()

add_test(mdd_lib_test mdd_lib_test)